# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name AnyEvent-Promise
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Evented promises
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AG/AGJ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the AnyEvent::Promise manpage allows evented interfaces to be chained, taking away some
of the redundancy of layering the AnyEvent manpage condition variable callbacks.

A promise is created using AnyEvent::Promise::new or the exported
the promise entry elsewhere in this document helper function. These will both return a promise instance and add
the callback function as the start of the promise chain. Each call to the then entry elsewhere in this document
on the promise instance will add another subroutine which returns a condition
variable to the chain.

The promise callback chain won't start until the condvar entry elsewhere in this document or the fulfill entry elsewhere in this document is
called on the instance. Calling the condvar entry elsewhere in this document or the cv entry elsewhere in this document will start the callback
chain and return the promise guarding condvar, which is fulfilled after the last
callback on the chain returns. Similarily, the fulfill entry elsewhere in this document will start the chain, but
will block until the guarding condvar is fulfilled.

Errors in the callbacks can be caught by setting an exception handler via the
the catch entry elsewhere in this document method on the promise instance. This method will catch exceptions
raised from the AnyEvent manpage objects and exceptions raised in blocks provided to
the then entry elsewhere in this document. If an error is encountered in the chain, an exception will be thrown
and the rest of the chain will be skipped, jumping straight to the catch
callback.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/A*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

